### Enumeration

# Gio TlsAuthenticationMode

since: 2.28

#### Declaration

    enum Gio.TlsAuthenticationMode

#### Description [src]

The client authentication mode for a `GTlsServerConnection`.

Available since: 2.28

#### Members

Name | Description
--- | ---
`G_TLS_AUTHENTICATION_NONE` | Client authentication not required.
`G_TLS_AUTHENTICATION_REQUESTED` | Client authentication is requested.
`G_TLS_AUTHENTICATION_REQUIRED` | Client authentication is required.